/*
Author: Silas
*/
.hero {
  position: relative;
  width: 100%;
  height: 90vh;
}
.hero img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.hero-overlay-principale {
  position: absolute;
  top: 50%;
  left: 10%;
  z-index: 2;
  text-align: center;
  color: #ebd8b7;
  transform: translateY(-50%);
}
.hero-overlay-principale .name {
  font-size: 40px;
  font-weight: bold;
  text-decoration: underline;
}
.hero-overlay-principale .description {
  font-size: 19px;
}
.projet a {
  text-decoration: none;
  background-color: #6b5c35;
  color: rgb(255, 239, 216);
  border: none;
  padding: 15px 30px;
  font-size: 18px;
  cursor: pointer;
  border-radius: 5px;
}
.projet a:hover {
  background-color: #574002;
  color: rgb(255, 255, 255);
}
.mid-section {
  display: flex;
  flex-direction: column;
  margin-top: 40px;
}
.mid-section .projet {
  display: flex;
  align-items: center;
  gap: 40px;
}
.mid-section .projet .image-projet img {
  margin-left: 10%;
  width: 800px;
  max-width: 100%;
  height: auto;
}
.mid-section .projet .explication-projet {
  margin-left: 5%;
  max-width: 600px;
  font-size: 18px;
  color: #8d7c5e;
}
.mid-section .petite-galerie {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 30px;
  margin-top: 50px;
}
.mid-section .petite-galerie img {
  width: 230px;
  height: 230px;
  border-radius: 25px 0px 25px 0px;
}
.galerie {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 40px;
}
.galerie a {
  text-decoration: none;
  background-color: #6b5c35;
  color: rgb(255, 239, 216);
  border: none;
  padding: 15px 30px;
  font-size: 18px;
  cursor: pointer;
  border-radius: 5px;
}
.galerie a:hover {
  background-color: #574002;
  color: rgb(255, 255, 255);
}
.acheter {
  display: flex;
  justify-content: center;
  margin-top: 40px;
}
.acheter .explication {
  margin-left: 20px;
  max-width: 400px;
  font-size: 18px;
  color: #8d7c5e;
}
.acheter .explication a {
  color: #6b5c35;
  text-decoration: none;
  font-weight: 600;
}
.acheter .maps {
  display: flex;
  margin-left: 70px;
  width: 100%;
  max-width: 430px;
  aspect-ratio: 4 / 3;
}
.maps iframe {
	width: 100%;
	height: 100%;
	border:0;
}
@media (max-width: 850px) {
  .mid-section .petite-galerie {
    flex-direction: column;
    gap: 15px;
  }

  .mid-section .petite-galerie img {
    width: 90%;
    height: auto;
  }
}
@media (max-width: 600px) {
  .hero {
    height: 50vh;
  }

  .hero-overlay-principale {
    left: 5%;
    transform: translateY(-50%);
    font-size: 14px;
  }

  .hero-overlay-principale h1 {
    font-size: 24px;
  }

  .hero-overlay-principale p {
    font-size: 14px;
  }

  .mid-section .projet {
    gap: 20px;
    flex-direction: column;
    text-align: center;
  }
  .mid-section .projet .image-projet img {
    margin-left: 0;
    width: 400px;
    height: auto;
  }

  .mid-section .explication-projet {
    margin-left: 0;
    font-size: 16px;
  }

  .mid-section .petite-galerie {
    flex-direction: column;
    gap: 15px;
  }

  .mid-section .petite-galerie img {
    width: 90%;
    height: auto;
  }

  .acheter {
    flex-direction: column;
    margin-left: 0;
    align-items: center;
  }

  .acheter .explication {
    font-size: 16px;
  }

  .acheter .maps {
    width: 90%;
    margin-left: 3%;
    height: 200px;
  }
  
}